- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | Friends

# QEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qcoreevent.h.

`#include <qcoreevent.h>`

Inheritance diagram for QEvent:
[legend]

List of all members.

## Public Types
enum | Type { None = 0, Timer = 1, MouseButtonPress = 2, MouseButtonRelease = 3, MouseButtonDblClick = 4, MouseMove = 5, KeyPress = 6, KeyRelease = 7, FocusIn = 8, FocusOut = 9, Enter = 10, Leave = 11, Paint = 12, Move = 13, Resize = 14, Create = 15, Destroy = 16, Show = 17, Hide = 18, Close = 19, Quit = 20, ParentChange = 21, ParentAboutToChange = 131, ThreadChange = 22, WindowActivate = 24, WindowDeactivate = 25, ShowToParent = 26, HideToParent = 27, Wheel = 31, WindowTitleChange = 33, WindowIconChange = 34, ApplicationWindowIconChange = 35, ApplicationFontChange = 36, ApplicationLayoutDirectionChange = 37, ApplicationPaletteChange = 38, PaletteChange = 39, Clipboard = 40, Speech = 42, MetaCall = 43, SockAct = 50, WinEventAct = 132, DeferredDelete = 52, DragEnter = 60, DragMove = 61, DragLeave = 62, Drop = 63, DragResponse = 64, ChildAdded = 68, ChildPolished = 69, ChildRemoved = 71, ShowWindowRequest = 73, PolishRequest = 74, Polish = 75, LayoutRequest = 76, UpdateRequest = 77, UpdateLater = 78, EmbeddingControl = 79, ActivateControl = 80, DeactivateControl = 81, ContextMenu = 82, InputMethod = 83, AccessibilityPrepare = 86, TabletMove = 87, LocaleChange = 88, LanguageChange = 89, LayoutDirectionChange = 90, Style = 91, TabletPress = 92, TabletRelease = 93, OkRequest = 94, HelpRequest = 95, IconDrag = 96, FontChange = 97, EnabledChange = 98, ActivationChange = 99, StyleChange = 100, IconTextChange = 101, ModifiedChange = 102, MouseTrackingChange = 109, WindowBlocked = 103, WindowUnblocked = 104, WindowStateChange = 105, ToolTip = 110, WhatsThis = 111, StatusTip = 112, ActionChanged = 113, ActionAdded = 114, ActionRemoved = 115, FileOpen = 116, Shortcut = 117, ShortcutOverride = 51, WhatsThisClicked = 118, ToolBarChange = 120, ApplicationActivate = 121, ApplicationActivated = ApplicationActivate, ApplicationDeactivate = 122, ApplicationDeactivated = ApplicationDeactivate, QueryWhatsThis = 123, EnterWhatsThisMode = 124, LeaveWhatsThisMode = 125, ZOrderChange = 126, HoverEnter = 127, HoverLeave = 128, HoverMove = 129, AccessibilityHelp = 119, AccessibilityDescription = 130, AcceptDropsChange = 152, MenubarUpdated = 153, ZeroTimerEvent = 154, GraphicsSceneMouseMove = 155, GraphicsSceneMousePress = 156, GraphicsSceneMouseRelease = 157, GraphicsSceneMouseDoubleClick = 158, GraphicsSceneContextMenu = 159, GraphicsSceneHoverEnter = 160, GraphicsSceneHoverMove = 161, GraphicsSceneHoverLeave = 162, GraphicsSceneHelp = 163, GraphicsSceneDragEnter = 164, GraphicsSceneDragMove = 165, GraphicsSceneDragLeave = 166, GraphicsSceneDrop = 167, GraphicsSceneWheel = 168, KeyboardLayoutChange = 169, DynamicPropertyChange = 170, TabletEnterProximity = 171, TabletLeaveProximity = 172, NonClientAreaMouseMove = 173, NonClientAreaMouseButtonPress = 174, NonClientAreaMouseButtonRelease = 175, NonClientAreaMouseButtonDblClick = 176, MacSizeChange = 177, ContentsRectChange = 178, MacGLWindowChange = 179, FutureCallOut = 180, GraphicsSceneResize = 181, GraphicsSceneMove = 182, CursorChange = 183, ToolTipChange = 184, NetworkReplyUpdated = 185, GrabMouse = 186, UngrabMouse = 187, GrabKeyboard = 188, UngrabKeyboard = 189, MacGLClearDrawable = 191, StateMachineSignal = 192, StateMachineWrapped = 193, TouchBegin = 194, TouchUpdate = 195, TouchEnd = 196, NativeGesture = 197, RequestSoftwareInputPanel = 199, CloseSoftwareInputPanel = 200, UpdateSoftKeys = 201, WinIdChange = 203, Gesture = 198, GestureOverride = 202, User = 1000, MaxUser = 65535 }
## Public Member Functions
| QEvent (Type type)
virtual | ~QEvent ()
Type | type () const
bool | spontaneous () const
void | setAccepted (bool accepted)
bool | isAccepted () const
void | accept ()
void | ignore ()
## Static Public Member Functions
static int | registerEventType (int hint=-1)
## Protected Attributes
QEventPrivate * | d
ushort | t
## Friends
class | QCoreApplication
class | QCoreApplicationPrivate
class | QThreadData
class | QApplication
class | QApplicationPrivate
class | Q3AccelManager
class | QShortcutMap
class | QETWidget
class | QGraphicsView
class | QGraphicsViewPrivate
class | QGraphicsScenePrivate
class | QGestureManager

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  Timer | Search for all occurrences
  MouseButtonPress | Search for all occurrences
  MouseButtonRelease | Search for all occurrences
  MouseButtonDblClick | Search for all occurrences
  MouseMove | Search for all occurrences
  KeyPress | Search for all occurrences
  KeyRelease | Search for all occurrences
  FocusIn | Search for all occurrences
  FocusOut | Search for all occurrences
  Enter | Search for all occurrences
  Leave | Search for all occurrences
  Paint | Search for all occurrences
  Move | Search for all occurrences
  Resize | Search for all occurrences
  Create | Search for all occurrences
  Destroy | Search for all occurrences
  Show | Search for all occurrences
  Hide | Search for all occurrences
  Close | Search for all occurrences
  Quit | Search for all occurrences
  ParentChange | Search for all occurrences
  ParentAboutToChange | Search for all occurrences
  ThreadChange | Search for all occurrences
  WindowActivate | Search for all occurrences
  WindowDeactivate | Search for all occurrences
  ShowToParent | Search for all occurrences
  HideToParent | Search for all occurrences
  Wheel | Search for all occurrences
  WindowTitleChange | Search for all occurrences
  WindowIconChange | Search for all occurrences
  ApplicationWindowIconChange | Search for all occurrences
  ApplicationFontChange | Search for all occurrences
  ApplicationLayoutDirectionChange | Search for all occurrences
  ApplicationPaletteChange | Search for all occurrences
  PaletteChange | Search for all occurrences
  Clipboard | Search for all occurrences
  Speech | Search for all occurrences
  MetaCall | Search for all occurrences
  SockAct | Search for all occurrences
  WinEventAct | Search for all occurrences
  DeferredDelete | Search for all occurrences
  DragEnter | Search for all occurrences
  DragMove | Search for all occurrences
  DragLeave | Search for all occurrences
  Drop | Search for all occurrences
  DragResponse | Search for all occurrences
  ChildAdded | Search for all occurrences
  ChildPolished | Search for all occurrences
  ChildRemoved | Search for all occurrences
  ShowWindowRequest | Search for all occurrences
  PolishRequest | Search for all occurrences
  Polish | Search for all occurrences
  LayoutRequest | Search for all occurrences
  UpdateRequest | Search for all occurrences
  UpdateLater | Search for all occurrences
  EmbeddingControl | Search for all occurrences
  ActivateControl | Search for all occurrences
  DeactivateControl | Search for all occurrences
  ContextMenu | Search for all occurrences
  InputMethod | Search for all occurrences
  AccessibilityPrepare | Search for all occurrences
  TabletMove | Search for all occurrences
  LocaleChange | Search for all occurrences
  LanguageChange | Search for all occurrences
  LayoutDirectionChange | Search for all occurrences
  Style | Search for all occurrences
  TabletPress | Search for all occurrences
  TabletRelease | Search for all occurrences
  OkRequest | Search for all occurrences
  HelpRequest | Search for all occurrences
  IconDrag | Search for all occurrences
  FontChange | Search for all occurrences
  EnabledChange | Search for all occurrences
  ActivationChange | Search for all occurrences
  StyleChange | Search for all occurrences
  IconTextChange | Search for all occurrences
  ModifiedChange | Search for all occurrences
  MouseTrackingChange | Search for all occurrences
  WindowBlocked | Search for all occurrences
  WindowUnblocked | Search for all occurrences
  WindowStateChange | Search for all occurrences
  ToolTip | Search for all occurrences
  WhatsThis | Search for all occurrences
  StatusTip | Search for all occurrences
  ActionChanged | Search for all occurrences
  ActionAdded | Search for all occurrences
  ActionRemoved | Search for all occurrences
  FileOpen | Search for all occurrences
  Shortcut | Search for all occurrences
  ShortcutOverride | Search for all occurrences
  WhatsThisClicked | Search for all occurrences
  ToolBarChange | Search for all occurrences
  ApplicationActivate | Search for all occurrences
  ApplicationActivated | Search for all occurrences
  ApplicationDeactivate | Search for all occurrences
  ApplicationDeactivated | Search for all occurrences
  QueryWhatsThis | Search for all occurrences
  EnterWhatsThisMode | Search for all occurrences
  LeaveWhatsThisMode | Search for all occurrences
  ZOrderChange | Search for all occurrences
  HoverEnter | Search for all occurrences
  HoverLeave | Search for all occurrences
  HoverMove | Search for all occurrences
  AccessibilityHelp | Search for all occurrences
  AccessibilityDescription | Search for all occurrences
  AcceptDropsChange | Search for all occurrences
  MenubarUpdated | Search for all occurrences
  ZeroTimerEvent | Search for all occurrences
  GraphicsSceneMouseMove | Search for all occurrences
  GraphicsSceneMousePress | Search for all occurrences
  GraphicsSceneMouseRelease | Search for all occurrences
  GraphicsSceneMouseDoubleClick | Search for all occurrences
  GraphicsSceneContextMenu | Search for all occurrences
  GraphicsSceneHoverEnter | Search for all occurrences
  GraphicsSceneHoverMove | Search for all occurrences
  GraphicsSceneHoverLeave | Search for all occurrences
  GraphicsSceneHelp | Search for all occurrences
  GraphicsSceneDragEnter | Search for all occurrences
  GraphicsSceneDragMove | Search for all occurrences
  GraphicsSceneDragLeave | Search for all occurrences
  GraphicsSceneDrop | Search for all occurrences
  GraphicsSceneWheel | Search for all occurrences
  KeyboardLayoutChange | Search for all occurrences
  DynamicPropertyChange | Search for all occurrences
  TabletEnterProximity | Search for all occurrences
  TabletLeaveProximity | Search for all occurrences
  NonClientAreaMouseMove | Search for all occurrences
  NonClientAreaMouseButtonPress | Search for all occurrences
  NonClientAreaMouseButtonRelease | Search for all occurrences
  NonClientAreaMouseButtonDblClick | Search for all occurrences
  MacSizeChange | Search for all occurrences
  ContentsRectChange | Search for all occurrences
  MacGLWindowChange | Search for all occurrences
  FutureCallOut | Search for all occurrences
  GraphicsSceneResize | Search for all occurrences
  GraphicsSceneMove | Search for all occurrences
  CursorChange | Search for all occurrences
  ToolTipChange | Search for all occurrences
  NetworkReplyUpdated | Search for all occurrences
  GrabMouse | Search for all occurrences
  UngrabMouse | Search for all occurrences
  GrabKeyboard | Search for all occurrences
  UngrabKeyboard | Search for all occurrences
  MacGLClearDrawable | Search for all occurrences
  StateMachineSignal | Search for all occurrences
  StateMachineWrapped | Search for all occurrences
  TouchBegin | Search for all occurrences
  TouchUpdate | Search for all occurrences
  TouchEnd | Search for all occurrences
  NativeGesture | Search for all occurrences
  RequestSoftwareInputPanel | Search for all occurrences
  CloseSoftwareInputPanel | Search for all occurrences
  UpdateSoftKeys | Search for all occurrences
  WinIdChange | Search for all occurrences
  Gesture | Search for all occurrences
  GestureOverride | Search for all occurrences
  User | Search for all occurrences
  MaxUser | Search for all occurrences

Definition at line 62 of file qcoreevent.h.

                  {
            /*
              If you get a strange compiler error on the line with None,
              it's probably because you're also including X11 headers,
              which #define the symbol None. Put the X11 includes after
              the Qt includes to solve this problem.
            */
            None = 0,                               // invalid event
            Timer = 1,                              // timer event
            MouseButtonPress = 2,                   // mouse button pressed
            MouseButtonRelease = 3,                 // mouse button released
            MouseButtonDblClick = 4,                // mouse button double click
            MouseMove = 5,                          // mouse move
            KeyPress = 6,                           // key pressed
            KeyRelease = 7,                         // key released
            FocusIn = 8,                            // keyboard focus received
            FocusOut = 9,                           // keyboard focus lost
            Enter = 10,                             // mouse enters widget
            Leave = 11,                             // mouse leaves widget
            Paint = 12,                             // paint widget
            Move = 13,                              // move widget
            Resize = 14,                            // resize widget
            Create = 15,                            // after widget creation
            Destroy = 16,                           // during widget destruction
            Show = 17,                              // widget is shown
            Hide = 18,                              // widget is hidden
            Close = 19,                             // request to close widget
            Quit = 20,                              // request to quit application
            ParentChange = 21,                      // widget has been reparented
            ParentAboutToChange = 131,              // sent just before the parent change is done
    #ifdef QT3_SUPPORT
            Reparent = ParentChange,
    #endif
            ThreadChange = 22,                      // object has changed threads
            WindowActivate = 24,                    // window was activated
            WindowDeactivate = 25,                  // window was deactivated
            ShowToParent = 26,                      // widget is shown to parent
            HideToParent = 27,                      // widget is hidden to parent
            Wheel = 31,                             // wheel event
            WindowTitleChange = 33,                 // window title changed
            WindowIconChange = 34,                  // icon changed
            ApplicationWindowIconChange = 35,       // application icon changed
            ApplicationFontChange = 36,             // application font changed
            ApplicationLayoutDirectionChange = 37,  // application layout direction changed
            ApplicationPaletteChange = 38,          // application palette changed
            PaletteChange = 39,                     // widget palette changed
            Clipboard = 40,                         // internal clipboard event
            Speech = 42,                            // reserved for speech input
            MetaCall =  43,                         // meta call event
            SockAct = 50,                           // socket activation
            WinEventAct = 132,                      // win event activation
            DeferredDelete = 52,                    // deferred delete event
            DragEnter = 60,                         // drag moves into widget
            DragMove = 61,                          // drag moves in widget
            DragLeave = 62,                         // drag leaves or is cancelled
            Drop = 63,                              // actual drop
            DragResponse = 64,                      // drag accepted/rejected
            ChildAdded = 68,                        // new child widget
            ChildPolished = 69,                     // polished child widget
    #ifdef QT3_SUPPORT
            ChildInsertedRequest = 67,              // send ChildInserted compatibility events to receiver
            ChildInserted = 70,                     // compatibility child inserted
            LayoutHint = 72,                        // compatibility relayout request
    #endif
            ChildRemoved = 71,                      // deleted child widget
            ShowWindowRequest = 73,                 // widget's window should be mapped
            PolishRequest = 74,                     // widget should be polished
            Polish = 75,                            // widget is polished
            LayoutRequest = 76,                     // widget should be relayouted
            UpdateRequest = 77,                     // widget should be repainted
            UpdateLater = 78,                       // request update() later

            EmbeddingControl = 79,                  // ActiveX embedding
            ActivateControl = 80,                   // ActiveX activation
            DeactivateControl = 81,                 // ActiveX deactivation
            ContextMenu = 82,                       // context popup menu
            InputMethod = 83,                       // input method
            AccessibilityPrepare = 86,              // accessibility information is requested
            TabletMove = 87,                        // Wacom tablet event
            LocaleChange = 88,                      // the system locale changed
            LanguageChange = 89,                    // the application language changed
            LayoutDirectionChange = 90,             // the layout direction changed
            Style = 91,                             // internal style event
            TabletPress = 92,                       // tablet press
            TabletRelease = 93,                     // tablet release
            OkRequest = 94,                         // CE (Ok) button pressed
            HelpRequest = 95,                       // CE (?)  button pressed

            IconDrag = 96,                          // proxy icon dragged

            FontChange = 97,                        // font has changed
            EnabledChange = 98,                     // enabled state has changed
            ActivationChange = 99,                  // window activation has changed
            StyleChange = 100,                      // style has changed
            IconTextChange = 101,                   // icon text has changed
            ModifiedChange = 102,                   // modified state has changed
            MouseTrackingChange = 109,              // mouse tracking state has changed

            WindowBlocked = 103,                    // window is about to be blocked modally
            WindowUnblocked = 104,                  // windows modal blocking has ended
            WindowStateChange = 105,

            ToolTip = 110,
            WhatsThis = 111,
            StatusTip = 112,

            ActionChanged = 113,
            ActionAdded = 114,
            ActionRemoved = 115,

            FileOpen = 116,                         // file open request

            Shortcut = 117,                         // shortcut triggered
            ShortcutOverride = 51,                  // shortcut override request

    #ifdef QT3_SUPPORT
            Accel = 30,                             // accelerator event
            AccelAvailable = 32,                    // accelerator available event
            AccelOverride = ShortcutOverride,       // accelerator override event
    #endif

            WhatsThisClicked = 118,

    #ifdef QT3_SUPPORT
            CaptionChange = WindowTitleChange,
            IconChange = WindowIconChange,
    #endif
            ToolBarChange = 120,                    // toolbar visibility toggled

            ApplicationActivate = 121,              // application has been changed to active
            ApplicationActivated = ApplicationActivate, // deprecated
            ApplicationDeactivate = 122,            // application has been changed to inactive
            ApplicationDeactivated = ApplicationDeactivate, // deprecated

            QueryWhatsThis = 123,                   // query what's this widget help
            EnterWhatsThisMode = 124,
            LeaveWhatsThisMode = 125,

            ZOrderChange = 126,                     // child widget has had its z-order changed

            HoverEnter = 127,                       // mouse cursor enters a hover widget
            HoverLeave = 128,                       // mouse cursor leaves a hover widget
            HoverMove = 129,                        // mouse cursor move inside a hover widget

            AccessibilityHelp = 119,                // accessibility help text request
            AccessibilityDescription = 130,         // accessibility description text request

            // last event id used = 132

    #ifdef QT_KEYPAD_NAVIGATION
            EnterEditFocus = 150,                   // enter edit mode in keypad navigation
            LeaveEditFocus = 151,                   // enter edit mode in keypad navigation
    #endif
            AcceptDropsChange = 152,

            MenubarUpdated = 153,                    // Support event for Q3MainWindow, which needs to
                                                     // knwow when QMenubar is updated.

            ZeroTimerEvent = 154,                   // Used for Windows Zero timer events

            GraphicsSceneMouseMove = 155,           // GraphicsView
            GraphicsSceneMousePress = 156,
            GraphicsSceneMouseRelease = 157,
            GraphicsSceneMouseDoubleClick = 158,
            GraphicsSceneContextMenu = 159,
            GraphicsSceneHoverEnter = 160,
            GraphicsSceneHoverMove = 161,
            GraphicsSceneHoverLeave = 162,
            GraphicsSceneHelp = 163,
            GraphicsSceneDragEnter = 164,
            GraphicsSceneDragMove = 165,
            GraphicsSceneDragLeave = 166,
            GraphicsSceneDrop = 167,
            GraphicsSceneWheel = 168,

            KeyboardLayoutChange = 169,             // keyboard layout changed

            DynamicPropertyChange = 170,            // A dynamic property was changed through setProperty/property

            TabletEnterProximity = 171,
            TabletLeaveProximity = 172,

            NonClientAreaMouseMove = 173,
            NonClientAreaMouseButtonPress = 174,
            NonClientAreaMouseButtonRelease = 175,
            NonClientAreaMouseButtonDblClick = 176,

            MacSizeChange = 177,                    // when the Qt::WA_Mac{Normal,Small,Mini}Size changes

            ContentsRectChange = 178,               // sent by QWidget::setContentsMargins (internal)

            MacGLWindowChange = 179,                // Internal! the window of the GLWidget has changed

            FutureCallOut = 180,

            GraphicsSceneResize  = 181,
            GraphicsSceneMove  = 182,

            CursorChange = 183,
            ToolTipChange = 184,

            NetworkReplyUpdated = 185,              // Internal for QNetworkReply

            GrabMouse = 186,
            UngrabMouse = 187,
            GrabKeyboard = 188,
            UngrabKeyboard = 189,
            MacGLClearDrawable = 191,               // Internal Cocoa, the window has changed, so we must clear

            StateMachineSignal = 192,
            StateMachineWrapped = 193,

            TouchBegin = 194,
            TouchUpdate = 195,
            TouchEnd = 196,

    #ifndef QT_NO_GESTURES
            NativeGesture = 197,                    // Internal for platform gesture support
    #endif
            RequestSoftwareInputPanel = 199,
            CloseSoftwareInputPanel = 200,

            UpdateSoftKeys = 201,                   // Internal for compressing soft key updates

            WinIdChange = 203,
    #ifndef QT_NO_GESTURES
            Gesture = 198,
            GestureOverride = 202,
    #endif
            // 512 reserved for Qt Jambi's MetaCall event
            // 513 reserved for Qt Jambi's DeleteOnMainThread event

            User = 1000,                            // first user event id
            MaxUser = 65535                         // last user event id
        };

## Constructor & Destructor Documentation

QEvent | ( | Type | type | ) |

virtual ~QEvent | ( |  | ) | `[virtual]`

## Member Function Documentation

Type type | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 300 of file qcoreevent.h.

    { return static_cast<Type>(t); }

bool spontaneous | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 301 of file qcoreevent.h.

    { return spont; }

void setAccepted | ( | bool | accepted | ) | `[inline]`

Search for all occurrences

Definition at line 303 of file qcoreevent.h.

    { m_accept = accepted; }

bool isAccepted | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 304 of file qcoreevent.h.

    { return m_accept; }

void accept | ( |  | ) | `[inline]`

Search for all occurrences

Reimplemented in QDragMoveEvent.

Definition at line 306 of file qcoreevent.h.

    { m_accept = true; }

void ignore | ( |  | ) | `[inline]`

Search for all occurrences

Reimplemented in QDragMoveEvent.

Definition at line 307 of file qcoreevent.h.

    { m_accept = false; }

static int registerEventType | ( | int | hint = `-1` | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QCoreApplication `[friend]`

Search for all occurrences

Reimplemented in QPaintEvent, QMoveEvent, and QResizeEvent.

Definition at line 321 of file qcoreevent.h.

friend class QCoreApplicationPrivate `[friend]`

Search for all occurrences

Definition at line 322 of file qcoreevent.h.

friend class QThreadData `[friend]`

Search for all occurrences

Definition at line 323 of file qcoreevent.h.

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented in QPaintEvent, QMoveEvent, QResizeEvent, QDropEvent, QDragMoveEvent, QTouchEvent, and QGestureEvent.

Definition at line 324 of file qcoreevent.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented in QTouchEvent.

Definition at line 325 of file qcoreevent.h.

friend class Q3AccelManager `[friend]`

Search for all occurrences

Definition at line 326 of file qcoreevent.h.

friend class QShortcutMap `[friend]`

Search for all occurrences

Definition at line 327 of file qcoreevent.h.

friend class QETWidget `[friend]`

Search for all occurrences

Definition at line 328 of file qcoreevent.h.

friend class QGraphicsView `[friend]`

Search for all occurrences

Definition at line 329 of file qcoreevent.h.

friend class QGraphicsViewPrivate `[friend]`

Search for all occurrences

Definition at line 330 of file qcoreevent.h.

friend class QGraphicsScenePrivate `[friend]`

Search for all occurrences

Definition at line 331 of file qcoreevent.h.

friend class QGestureManager `[friend]`

Search for all occurrences

Reimplemented in QGestureEvent.

Definition at line 333 of file qcoreevent.h.

## Member Data Documentation

QEventPrivate* d `[protected]`

Search for all occurrences

Reimplemented in QWheelEvent.

Definition at line 312 of file qcoreevent.h.

ushort t `[protected]`

Search for all occurrences

Definition at line 313 of file qcoreevent.h.

The documentation for this class was generated from the following file:

- QtCore/qcoreevent.h

QEvent QEvent QEvent QEvent QEvent QEvent QEvent QEvent QEvent QEvent
QEvent QEvent QEvent QEvent QEvent QEvent QEvent QEvent QEvent QEvent